# FastAPI를 사용한 파이썬 웹 개발

<a href="https://www.hanbit.co.kr/store/books/look.php?p_code=B9703548802"><img src="https://www.hanbit.co.kr/data/books/B9703548802_l.jpg" height="256px" align="right"></a>

『[FastAPI를 사용한 파이썬 웹 개발](https://www.hanbit.co.kr/store/books/look.php?p_code=B9703548802)』(한빛미디어, 2023) 예제 코드 저장소입니다.  
이 저장소의 코드는 원서의 저자가 제공하는 코드 중 실행 오류가 발생하거나 오탈자가 있는 부분을 수정한 것입니다. 
 
원서의 저자가 제공하는 코드는 [여기](https://github.com/PacktPublishing/Building-Python-Web-APIs-with-FastAPI)에서 확인할 수 있습니다.  


## 이 책에 대하여
FastAPI는 파이썬으로 API를 구축할 수 있게 해주는 빠르고 효율적인 웹 프레임워크입니다. 이 책은 FastAPI 프레임워크를 사용한 애플리케이션 구축 방법을 안내합니다. 먼저 책에서 사용하는 기술의 기본 개념을 살펴보고 라우팅 시스템, 응답 모델링, 오류 처리, 템플릿 등 FastAPI 프레임워크의 주요 기능을 설명합니다.

여러분은 파이썬과 FastAPI를 사용해서 빠르고 효율적이며 확장 가능한 애플리케이션 구축 방법을 배우게 됩니다. 간단한 ‘Hello World’ 애플리케이션 개발부터 데이터베이스, 인증, 템플릿 등을 사용한 전체적인 API 구축 방법을 다루고 효율성, 가독성, 확장성을 개선하는 애플리케이션 설계 방법을 학습합니다. 또한 애플리케이션을 외부 라이브러리와 연동해서 SQL 또는 NoSQL 데이터베이스에 연결하고, 템플릿을 통합하고, 인증 시스템을 개발하는 방법도 배웁니다. 책의 후반부에서는 테스트 작성, 애플리케이션 컨테이너화 방법을 살펴보고 도커를 사용해 애플리케이션을 배포합니다. 이 모든 내용은 실습과 함께 설명합니다.

책을 다 읽고 나면 FastAPI 프레임워크를 사용해서 강력한 웹 API를 구축하고 배포할 수 있습니다.


## 목차
**PART 1. FastAPI 학습하기**  
CHAPTER 1. FastAPI 소개  
CHAPTER 2. 라우팅  
CHAPTER 3. 응답 모델과 오류 처리  
CHAPTER 4. 템플릿팅  

**PART 2. FastAPI 애플리케이션 개발하기**     
CHAPTER 5. 구조화   
CHAPTER 6. 데이터베이스 연결  
CHAPTER 7. 보안  

**PART 3. FastAPI 애플리케이션 테스트 및 배포하기**   
CHAPTER 8. 테스트  
CHAPTER 9. 배포  
